Main Page Widgets Namespaces Book

# Gtk::PrintError Class Reference

Inheritance diagram for Gtk::PrintError:

[legend]

List of all members.

## Public Types

enum | Code { GENERAL, INTERNAL_ERROR, NOMEM, INVALID_FILE }

## Public Member Functions

Code | code () const
| PrintError (GError* gobject)
| PrintError (Code error_code, const Glib::ustring& error_message)

## Member Enumeration Documentation

enum Gtk::PrintError::Code

Enumerator:

  GENERAL |
  INTERNAL_ERROR |
  NOMEM |
  INVALID_FILE |

## Constructor & Destructor Documentation

Gtk::PrintError::PrintError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gtk::PrintError::PrintError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::PrintError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- printoperation.h